﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.MonthViewMulti;
using System.Drawing;

namespace WindowsFormsApplication74
{
    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is DateTimeEditorDropDownButtonUIElement)
            {
                DateTimeEditorDropDownButtonUIElement button = (DateTimeEditorDropDownButtonUIElement)parent;
                ImageUIElement el = new ImageUIElement(button, Image.FromFile("..//..//calendar_icon.jpg"));
                el.Rect = parent.Rect;
                button.ChildElements.Add(el);
            }
            if (parent is CalendarDropDownButtonUIElement)
            {
                CalendarDropDownButtonUIElement button = (CalendarDropDownButtonUIElement)parent;
                ImageUIElement el = new ImageUIElement(button, Image.FromFile("..//..//calendar_icon.jpg"));
                el.Rect = parent.Rect;
                button.ChildElements.Add(el);
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
